<?php

namespace App;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
// use Dyrynda\Database\Support\CascadeSoftDeletes;
use Illuminate\Database\Eloquent\SoftDeletes;
use Route;


class Kategori extends Model
{
    use HasFactory;

    protected $fillable = ['id','kode','nama','keterangan'];

    public function policy()
    {
        return $this->hasMany('App\Policy');
    }

    public function reguler()
    {
        return $this->hasMany('App\Reguler');
    }

    public function output()
    {
        return $this->hasMany('App\Output');
    }

    public function minute()
    {
        return $this->hasMany('App\Minute');
    }

    public function internal()
    {
        return $this->hasMany('App\Internal');
    }

    public function formal()
    {
        return $this->hasMany('App\Formal');
    }

    public function kategori()
    {
        
    }
}
